GNU Radio C++ API Reference: gr::block_registry Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
gr::block_registry Class Reference

`#include <gnuradio/block_registry.h>`

## Public Member Functions
| block_registry ()
long | block_register (basic_block *block)
void | block_unregister (basic_block *block)
std::string | register_symbolic_name (basic_block *block)
void | register_symbolic_name (basic_block *block, std::string name)
void | update_symbolic_name (basic_block *block, std::string name)
basic_block_sptr | block_lookup (pmt::pmt_t symbol)
void | register_primitive (std::string blk, gr::block *ref)
void | unregister_primitive (std::string blk)
void | notify_blk (std::string blk)

## Constructor & Destructor Documentation

## ◆ block_registry()

gr::block_registry::block_registry | ( |  | ) |

## Member Function Documentation

## ◆ block_lookup()

basic_block_sptr gr::block_registry::block_lookup | ( | pmt::pmt_t | symbol | ) |

Referenced by rpcbasic_register_get< T, Tfrom >::rpcbasic_register_get(), rpcbasic_register_get< T, Tfrom >::rpcbasic_register_get(), rpcbasic_register_handler< T >::rpcbasic_register_handler(), rpcbasic_register_set< T, Tto >::rpcbasic_register_set(), and rpcbasic_register_trigger< T >::rpcbasic_register_trigger().

## ◆ block_register()

long gr::block_registry::block_register | ( | basic_block * | block | ) |

## ◆ block_unregister()

void gr::block_registry::block_unregister | ( | basic_block * | block | ) |

## ◆ notify_blk()

void gr::block_registry::notify_blk | ( | std::string | blk | ) |

## ◆ register_primitive()

void gr::block_registry::register_primitive | ( | std::string | blk,
|  | gr::block * | ref )

## ◆ register_symbolic_name() [1/2]

std::string gr::block_registry::register_symbolic_name | ( | basic_block * | block | ) |

## ◆ register_symbolic_name() [2/2]

void gr::block_registry::register_symbolic_name | ( | basic_block * | block,
|  | std::string | name )

## ◆ unregister_primitive()

void gr::block_registry::unregister_primitive | ( | std::string | blk | ) |

## ◆ update_symbolic_name()

void gr::block_registry::update_symbolic_name | ( | basic_block * | block,
|  | std::string | name )

The documentation for this class was generated from the following file:

- block_registry.h